Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033683
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2016-08-10 14:582017-09-21 16:50
ReporterngarciaView Statuspublic 
Assigned ToCSousa 
PriorityhighResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision3764fbd1e601
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033683: Not Posted Transactions report should hide the records with posted = 'T'

DescriptionNot Posted Transactions report should hide the records with posted = 'T'
Steps To ReproduceAs group admin role:
   Go to General Ledger Configuration and check MaterialMgmtShipmentInOut table is active for F&B España, S.A. US/A/Euro and inactive for F&B International Group US/A/US Dollar
   Create a goods shipment for F&B US East Coast
   Launch the Costing Background process and check its cost has been calculated
   Try to post it and check the following warning is shown:
      Document will not be posted as related table is not active for any of the accounting schemas. Please first activate related table M_InOut in the accounting schema/s
   Launch the Not Posted Transaction report and check the shipment is shown there
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0096075)
CSousa (developer)
2017-04-20 08:38

As group admin role:
   Go to General Ledger Configuration and check MaterialMgmtShipmentInOut table is active for F&B España, S.A. US/A/Euro and inactive for F&B International Group US/A/US Dollar
   Create a goods shipment for F&B US East Coast
   Launch the Costing Background process and check its cost has been calculated
   Try to post it and check the following warning is shown:
      Document will not be posted as related table is not active for any of the accounting schemas. Please first activate related table M_InOut in the accounting schema/s
   Launch the Not Posted Transaction report and check the shipment is not shown there
(0099126)
hgbot (developer)
2017-09-18 17:03

Repository: erp/devel/pi
Changeset: 3764fbd1e6014c8807ac5b9804b2f9a19682e006
Author: Carlos Sousa <carlos.sousa <at> openbravo.com>
Date: Wed Apr 19 18:31:49 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3764fbd1e6014c8807ac5b9804b2f9a19682e006 [^]

Fixes issue 33683: Not Posted Transactions report should hide
the records with posted = 'T'.

Not Posted Transactions hide the records with posted = 'T'

---
M src/org/openbravo/erpCommon/ad_reports/ReportNotPosted_data.xsql
---
(0099127)
hgbot (developer)
2017-09-18 17:03

Repository: erp/devel/pi
Changeset: 2db33b1309ea5f4a60599919f975a407091fa154
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Sep 18 17:02:16 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/2db33b1309ea5f4a60599919f975a407091fa154 [^]

Related to issue 33683: Update copyright

---
M src/org/openbravo/erpCommon/ad_reports/ReportNotPosted_data.xsql
---
(0099128)
aferraz (developer)
2017-09-18 17:05

Code review + Testing OK
(0099411)
hudsonbot (developer)
2017-09-21 16:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099412)
hudsonbot (developer)
2017-09-21 16:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-08-10 14:58 ngarcia New Issue
2016-08-10 14:58 ngarcia Assigned To => Triage Finance
2016-08-10 14:58 ngarcia Modules => Core
2016-08-10 14:58 ngarcia Triggers an Emergency Pack => No
2016-08-10 14:58 ngarcia Issue Monitored: networkb
2016-08-12 08:25 heccam Issue Monitored: heccam
2017-04-20 08:38 CSousa Note Added: 0096075
2017-05-08 13:26 CSousa Assigned To Triage Finance => CSousa
2017-05-08 13:26 CSousa Status new => scheduled
2017-09-18 17:03 hgbot Checkin
2017-09-18 17:03 hgbot Note Added: 0099126
2017-09-18 17:03 hgbot Status scheduled => resolved
2017-09-18 17:03 hgbot Resolution open => fixed
2017-09-18 17:03 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3764fbd1e6014c8807ac5b9804b2f9a19682e006 [^]
2017-09-18 17:03 hgbot Checkin
2017-09-18 17:03 hgbot Note Added: 0099127
2017-09-18 17:05 aferraz Review Assigned To => aferraz
2017-09-18 17:05 aferraz Note Added: 0099128
2017-09-18 17:05 aferraz Status resolved => closed
2017-09-18 17:05 aferraz Fixed in Version => 3.0PR17Q4
2017-09-21 16:50 hudsonbot Checkin
2017-09-21 16:50 hudsonbot Note Added: 0099411
2017-09-21 16:50 hudsonbot Checkin
2017-09-21 16:50 hudsonbot Note Added: 0099412


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker